// Copyright (c) Microsoft Corporation and Contributors.
// Licensed under the MIT License.

using H.NotifyIcon;
using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Controls.Primitives;
using Microsoft.UI.Xaml.Data;
using Microsoft.UI.Xaml.Input;
using Microsoft.UI.Xaml.Media;
using Microsoft.UI.Xaml.Navigation;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;

// To learn more about WinUI, the WinUI project structure,
// and more about our project templates, see: http://aka.ms/winui-project-info.

namespace AliGenieAssistantWinUI3
{
    public sealed partial class TrayIconView : UserControl
    {
        public TrayIconView()
        {
            this.InitializeComponent();
        }

        public void ShowWindowCommand(object? _, ExecuteRequestedEventArgs args)
        {
            ((App)App.Current).getMainWindow().Show(true);
        }

        public void ExitAppCommand(object? _, ExecuteRequestedEventArgs args)
        {
            App.Current.Exit();
        }
    }
}
